Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons.tags
Class GenericMakumbaTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.makumba.analyser.AnalysableTag
              org.makumba.commons.tags.GenericMakumbaTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

Direct Known Subclasses:
  ActionTag, AttributeTag, BasicValueTag, CriterionTag, FormTagBase, GenericListTag, MatchModeTag, PaginationTag

    public class GenericMakumbaTag

extends AnalysableTag

See Also:
  Serialized Form

Field Summary
`StringBuffer` | `extraFormatting` Extra html formatting, copied verbatim to the output
`Map<String,String>` | `extraFormattingParams`
`static String` | `NEEDED_RESOURCES`
`Hashtable<String,Object>` | `params` Tag parameters

Fields inherited from class org.makumba.analyser.AnalysableTag
`analyzedTag, ATTRIBUTE_VALUES_TRUE_FALSE, runningTag, tagData, tagKey, TYPES`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GenericMakumbaTag()`

Method Summary
`protected void` | `doAnalyzedCleanup()` Called by doEndTag in its finally block.
`int` | `doStartTag()` Handles exceptions, initialises state and calls `doAnalyzedStartTag` FIXME some of the exception handling should not be here
`Hashtable<String,Object>` | `getParams()`
`void` | `initialiseState()` Resets and initialises the tag's state, to work in a tag pool.
`void` | `setAddTitle(String s)`
`void` | `setCols(String s)`
`void` | `setConvertLinks(String s)`
`void` | `setDefault(String s)`
`void` | `setElementSeparator(String s)`
`void` | `setEllipsis(String s)`
`void` | `setEllipsisLength(String s)`
`void` | `setEmpty(String s)`
`void` | `setFormat(String s)`
`void` | `setHtml(String s)`
`void` | `setLabelSeparator(String s)`
`void` | `setLineSeparator(String s)`
`void` | `setLongLineLength(String s)`
`void` | `setMaxlength(String s)`
`void` | `setMaxLength(String s)`
`void` | `setOnClick(String s)`
`void` | `setOnDblClick(String s)`
`void` | `setOnKeyDown(String s)`
`void` | `setOnKeyPress(String s)`
`void` | `setOnKeyUp(String s)`
`void` | `setOnMouseDown(String s)`
`void` | `setOnMouseMove(String s)`
`void` | `setOnMouseOut(String s)`
`void` | `setOnMouseOver(String s)`
`void` | `setOnMouseUp(String s)`
`void` | `setRows(String s)`
`void` | `setSize(String s)`
`void` | `setStyle(String s)`
`void` | `setStyleClass(String s)`
`void` | `setStyleId(String s)`
`void` | `setTitle(String s)`
`protected void` | `setType(PageCache pc, String key, FieldDefinition value)` Sets the type identified by the key of a tag
`void` | `setType(String s)`
`void` | `setUrlEncode(String s)`
`String` | `toString()`

Methods inherited from class org.makumba.analyser.AnalysableTag
`addTagText, allowsIdenticalKey, canHaveBody, checkValidAttributeValues, doAnalyzedEndTag, doAnalyzedStartTag, doEndAnalyze, doEndTag, doStartAnalyze, getAnalyzedTag, getCurrentBodyTag, getPageCache, getPageContext, getPageTextInfo, getRunningTag, getTagKey, getTagText, getThreadTagStack, initializeThread, needPageCache, onlyInt, setTagDataAtAnalysis, setTagKey`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NEEDED_RESOURCES

    public static final String NEEDED_RESOURCES

See Also:
  Constant Field Values

### params

    public Hashtable<String,Object> params

  Tag parameters

### extraFormattingParams

    public Map<String,String> extraFormattingParams

### extraFormatting

    public StringBuffer extraFormatting

  Extra html formatting, copied verbatim to the output

Constructor Detail

### GenericMakumbaTag

    public GenericMakumbaTag()

Method Detail

### initialiseState

    public void initialiseState()

  Resets and initialises the tag's state, to work in a tag pool. See bug 583. If this method is overriden in a child class, the child's method must call super.initaliseState().

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `AnalysableTag`
  Handles exceptions, initialises state and calls `doAnalyzedStartTag` FIXME some of the exception handling should not be here

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `AnalysableTag`
  Throws:
    `JspException`

### setStyleId

    public void setStyleId(String s)

### setStyleClass

    public void setStyleClass(String s)

### setStyle

    public void setStyle(String s)

### setTitle

    public void setTitle(String s)

### setOnClick

    public void setOnClick(String s)

### setOnDblClick

    public void setOnDblClick(String s)

### setOnKeyDown

    public void setOnKeyDown(String s)

### setOnKeyUp

    public void setOnKeyUp(String s)

### setOnKeyPress

    public void setOnKeyPress(String s)

### setOnMouseDown

    public void setOnMouseDown(String s)

### setOnMouseUp

    public void setOnMouseUp(String s)

### setOnMouseMove

    public void setOnMouseMove(String s)

### setOnMouseOut

    public void setOnMouseOut(String s)

### setOnMouseOver

    public void setOnMouseOver(String s)

### setUrlEncode

    public void setUrlEncode(String s)

### setConvertLinks

    public void setConvertLinks(String s)

### setHtml

    public void setHtml(String s)

### setFormat

    public void setFormat(String s)

### setType

    public void setType(String s)

### setSize

    public void setSize(String s)

### setMaxlength

    public void setMaxlength(String s)

### setMaxLength

    public void setMaxLength(String s)

### setEllipsis

    public void setEllipsis(String s)

### setEllipsisLength

    public void setEllipsisLength(String s)

### setAddTitle

    public void setAddTitle(String s)

### setRows

    public void setRows(String s)

### setCols

    public void setCols(String s)

### setLineSeparator

    public void setLineSeparator(String s)

### setLongLineLength

    public void setLongLineLength(String s)

### setDefault

    public void setDefault(String s)

### setEmpty

    public void setEmpty(String s)

### setLabelSeparator

    public void setLabelSeparator(String s)

### setElementSeparator

    public void setElementSeparator(String s)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getParams

    public Hashtable<String,Object> getParams()

### setType

    protected void setType(PageCache pc,
                           String key,
                           FieldDefinition value)

  Sets the type identified by the key of a tag

  Parameters:
    `key` - the key of the tag
    `value` - the field definition containing the type
    `t` - the MakumbaTag

### doAnalyzedCleanup

    protected void doAnalyzedCleanup()

  Description copied from class: `AnalysableTag`
  Called by doEndTag in its finally block. Use it to clean references that will not be used next time the servlet container uses the tag object.

  Overrides:
    `doAnalyzedCleanup` in class `AnalysableTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20